{% extends 'appointment/index.html' %}
{% load static %}
{% block css %}
  <link rel="stylesheet" href="{% static "appointment/css/appointment.css" %}">
  {{ form.media.css }}
{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb appointment "appointment:appointment" appointment.id %}
{% endblock %}
{% block title %}
  {% if appointment %}
    {{ appointment }}
  {% else %}
    Электронная очередь
  {% endif %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      <h1>{{ appointment.event.name }}</h1>
      <h2>{{ appointment.start.day }}.{{ appointment.start.month }}.{{ appointment.start.year }} {{ appointment.get_weekday }}</h2>
      <h2>{{ appointment.start.time }}-{{ appointment.finish }}</h2>
      {% if appointment.teachers.all.count == 1 %}
        <h3>Преподаватель:<br>
          <a href="{% url 'main:teacher'  appointment.teachers.first.id %}">{{ appointment.teachers.first }}</a><br>
        </h3>
      {% elif appointment.teachers.all.count > 1 %}
        <h3>Преподаватели:<br>
          {% for tchr in appointment.teachers.all %}
            <a href="{% url 'main:teacher' tchr.id %}">{{ tchr }}</a><br>
          {% endfor %}
        </h3>
      {% endif %}
      {% if appointment.tutors.all.count == 1 %}
        <h3>Тьютор:<br>
          {{ appointment.tutors.first.last_name }} {{ appointment.tutors.first.first_name }}
          <br>
        </h3>
      {% elif appointment.tutors.all.count > 1 %}
        <h3>Тьюторы:<br>
          {% for ttr in appointment.tutors.all %}
            {{ ttr.last_name }} {{ ttr.first_name }}<br>
          {% endfor %}
        </h3>
      {% endif %}
      {% if appointment.instruction %}
        <hr>
        {{ appointment.instruction|linebreaks }}
      {% endif %}

      <h5><span class="badge badge-secondary">
                    Мест осталось: <span class="badge badge-light">{{ appointment.get_left }}</span>
      </span></h5>
      <hr>
      {% if decision == 'success' %}
        <div class="alert alert-success" role="alert">
          Вы в очереди.
        </div>
      {% elif decision == 'repeatedly' %}
        <div class="alert alert-danger" role="alert">
          Такая запись уже есть. Можно записаться на другой тип и/или предмет.
        </div>
      {% elif decision == 'full' %}
        <div class="alert alert-warning" role="alert">
          Места закончились. Скорее всего, через неделю будет новая очередь.
        </div>
      {% elif decision == 'taked' %}
        <div class="alert alert-warning" role="alert">
          Это время только-что занял кто-то другой, выберите другое.
        </div>
      {% endif %}


    </div>
  </section>
{% endblock %}
{% block js %}
  {{ form.media.js }}
{% endblock %}